JAULA: JSON Values containers

## Data Structures

class | JAULA::Value
| Base class for handling values. More...
class | JAULA::Value_Array
| Class for handling array values. More...
class | JAULA::Value_Boolean
| Class for handling boolean values. More...
class | JAULA::Value_Complex
| Base class for handling complex values. More...
class | JAULA::Value_Null
| class for handling null values More...
class | JAULA::Value_Number
| Class for handling numeric values. More...
class | JAULA::Value_Number_Int
| Class for handling numeric (int) values. More...
class | JAULA::Value_Object
| Class for handling object values. More...
class | JAULA::Value_String
| Class for handling numeric values. More...

## Functions

std::ostream & | operator<< (std::ostream &ostr, JAULA::Value const &val)
| Insertion operator extension for values.

## Detailed Description

## Function Documentation

## operator<<()

std::ostream & operator<< | ( | std::ostream & | ostr,
|  | JAULA::Value const & | val )

Insertion operator extension for values.

Parameters

  ostr | Stream where the instance is to be represented.
  val | Instance to represent

Returns
  a reference to the stream

Description
  This method extends the standard insertion operation for streams to invoke JAULA::repr() through this alternative sintax writing the contents in JSON notation.

Author
  Kombo Morongo moron.nosp@m.go66.nosp@m.6@gma.nosp@m.il.c.nosp@m.om

References JAULA::Value::repr().

Back to JAULA Project Documentation Page.

Go to JAULA Project Home Page.

Copyright (c) 2007, 2008, 2009 Kombo Morongo.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.2 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the section entitled "GNU Free Documentation License".

SourceForge.net